> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Kota Employee Status

> Returns an employee's Kota enrollment status for banners and profile pages.

Required scope: `documents:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-kota-employee-status
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-kota-employee-status:
    get:
      operationId: getKotaEmployeeStatus
      summary: Get Kota Employee Status
      x-toku-required-scope: documents:read
      description: >-
        Returns an employee's Kota enrollment status for banners and profile
        pages.


        Required scope: `documents:read`
      parameters:
        - name: employeeID
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetKotaEmployeeStatusResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetKotaEmployeeStatusResponse:
      type: object
      properties:
        enrollmentStatus:
          type: string
          enum:
            - PENDING
            - ELIGIBLE
            - INELIGIBLE
            - ENROLLED
            - DECLINED
            - FAILED
        offboardingStatus:
          type: string
          enum:
            - NOT_STARTED
            - SCHEDULED
            - COMPLETED
            - FAILED
            - CANCELLED
            - CANCEL_FAILED
        hasKotaEmployeeID:
          type: boolean
        benefitsBannerDismissedAt:
          type:
            - string
            - 'null'
        countryHasQuotaBenefits:
          type: boolean
      required:
        - enrollmentStatus
        - offboardingStatus
        - hasKotaEmployeeID
        - benefitsBannerDismissedAt
        - countryHasQuotaBenefits
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
